---
search:
  tags:
    - stanzas
    - GET
seo:
  description: >-
    Get a stanza by name. Reference for the GET /api/v1/stanzas/by-name/{name}
    endpoint in the TimescaleDB Enterprise API.
  noindex: true
sidebar:
  label: Get a stanza by name
  badge: GET
title: Get a stanza by name
type: openapi-operation
---
`GET /api/v1/stanzas/by-name/{name}`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "database_name": "string",
  "database_service_id": "string",
  "database_service_name": "string",
  "database_service_status": "string",
  "grant_fingerprint": "string",
  "grant_locked": true,
  "id": "string",
  "is_adoptable": true,
  "name": "string",
  "repos": [
    {
      "host_server_id": "string",
      "repo_index": 0,
      "status": "string"
    }
  ]
}
```
